var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":105,"id":6952,"methods":[{"el":44,"sc":5,"sl":43},{"el":48,"sc":5,"sl":46},{"el":52,"sc":5,"sl":50},{"el":56,"sc":5,"sl":54},{"el":67,"sc":5,"sl":65},{"el":103,"sc":5,"sl":84}],"name":"LangUtils","sl":37}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_124":{"methods":[{"sl":46},{"sl":54}],"name":"testHashCode","pass":true,"statements":[{"sl":47},{"sl":55}]},"test_199":{"methods":[{"sl":65},{"sl":84}],"name":"testCloning","pass":true,"statements":[{"sl":66},{"sl":85},{"sl":92},{"sl":93},{"sl":94},{"sl":98}]},"test_236":{"methods":[{"sl":65},{"sl":84}],"name":"testArrayEquals","pass":true,"statements":[{"sl":66},{"sl":85},{"sl":86},{"sl":89},{"sl":92},{"sl":93},{"sl":94},{"sl":95},{"sl":98},{"sl":100}]},"test_306":{"methods":[{"sl":65}],"name":"testCloning","pass":true,"statements":[{"sl":66}]},"test_311":{"methods":[{"sl":46},{"sl":54}],"name":"testNullObjectHash","pass":true,"statements":[{"sl":47},{"sl":55}]},"test_378":{"methods":[{"sl":65},{"sl":84}],"name":"testEquals","pass":true,"statements":[{"sl":66},{"sl":85},{"sl":92},{"sl":93},{"sl":94},{"sl":95},{"sl":98},{"sl":100}]},"test_414":{"methods":[{"sl":46},{"sl":54}],"name":"testHashCode","pass":true,"statements":[{"sl":47},{"sl":55}]},"test_442":{"methods":[{"sl":46},{"sl":54}],"name":"testHashCode","pass":true,"statements":[{"sl":47},{"sl":55}]},"test_521":{"methods":[{"sl":65}],"name":"testEquals","pass":true,"statements":[{"sl":66}]},"test_545":{"methods":[{"sl":46},{"sl":50}],"name":"testBooleanHash","pass":true,"statements":[{"sl":47},{"sl":51}]},"test_7":{"methods":[{"sl":46},{"sl":54}],"name":"testBasicHash","pass":true,"statements":[{"sl":47},{"sl":55}]},"test_87":{"methods":[{"sl":65},{"sl":84}],"name":"testBasicEquality","pass":true,"statements":[{"sl":66},{"sl":85},{"sl":86},{"sl":87}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [124, 414, 442, 311, 7, 545], [124, 414, 442, 311, 7, 545], [], [], [545], [545], [], [], [124, 414, 442, 311, 7], [124, 414, 442, 311, 7], [], [], [], [], [], [], [], [], [], [521, 236, 87, 378, 306, 199], [521, 236, 87, 378, 306, 199], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [236, 87, 378, 199], [236, 87, 378, 199], [236, 87], [87], [], [236], [], [], [236, 378, 199], [236, 378, 199], [236, 378, 199], [236, 378], [], [], [236, 378, 199], [], [236, 378], [], [], [], [], []]
